Bouncy Castle Cryptography Library 1.40

## org.bouncycastle.util
Class BigIntegers

    java.lang.Object
      org.bouncycastle.util.BigIntegers

    public final class BigIntegers

extends java.lang.Object

BigInteger utilities.

Constructor Summary
`BigIntegers()`

Method Summary
`static byte[]` `asUnsignedByteArray(java.math.BigInteger value)` Return the passed in value as an unsigned byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BigIntegers

    public BigIntegers()

Method Detail

### asUnsignedByteArray

    public static byte[] asUnsignedByteArray(java.math.BigInteger value)

  Return the passed in value as an unsigned byte array.

  Parameters:
    `value` - value to be converted.
  Returns:
    a byte array without a leading zero byte if present in the signed encoding.

Bouncy Castle Cryptography Library 1.40